MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000886VCMIMechanics - Battlespublic2012-02-29 05:512018-11-06 15:16
Reporterq4a 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version 
Target VersionFixed in Version0.next 
Summary0000886: Crash after cloned creatures move
DescriptionTested on r2563.
 
VCMI_Client_log.txt:
Listening... received server message of type struct BattleStackMoved
CStupidAI [0C876780]: battleStackMoved called
    Made first apply on cl
    Applied on gs
    Made second apply on cl
Listening... received server message of type struct BattleAttack
CPlayerInterface::battleAttack - locking...done!
CStupidAI [0C876780]: battleAttack called
    Made first apply on cl
Battle stack [8]: -858993460 creatures of Imps from slot 255 #detached from# Hero Ignatius
Battle stack [8]: -858993460 creatures of Imps from slot 255 #detached from# "Imps"
    Applied on gs
CPlayerInterface::battleStackAttacked - locking...done!
CStupidAI [0C876780]: battleStacksAttacked called
    Made second apply on cl
Listening... Wrong player id in blueToPlayersAdv (96)!
Server finished
Lost connection to server, ending listening thread!
read: An existing connection was forcibly closed by the remote host
Something wrong, lost connection while game is still ongoing...

VCMI_Server_log.txt:
Message successfully applied (result=1)!
Sending to all clients a package of type struct BattleNextRound
Sending to all clients a package of type struct BattleSetActiveStack
Received client message of type struct MakeAction
    Making action of type 
Sending to all clients a package of type struct StartAction
Sending to all clients a package of type struct BattleStackMoved
Sending to all clients a package of type struct BattleAttack
Battle stack [8]: -858993460 creatures of Imps from slot 255 #detached from# Hero Ignatius
Battle stack [8]: -858993460 creatures of Imps from slot 255 #detached from# "Imps"
Steps To ReproduceStart any map.
Get all spells by cheat "vcmiistari".
Attack enemy.
Click defend to your 1st current set of creatures.
Cast Defend (4th lev) spell on that set.
Click defend to all other your creatures, except cloned.
Move cloned creatures forward.

Sometimes it needs to do more moves to get crash. Once I don't get crash at all.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000912closedTow Crash on 2nd turn of battle with Dungeon town 

-  Notes
(0002266)
Tow (developer)
2012-03-01 16:38

This one is complex, I found two possible crashes while investigating. They're related to removing cloned stack after attack, not movement.
(0005172)
SXX (administrator)
2014-11-26 03:40

Tried to reproduce in 0.97, but failed.
(0007680)
Povelitel (updater)
2018-11-06 15:16

Don't reproducibility in last develop.

- Issue History
Date Modified Username Field Change
2012-02-29 05:51 q4a New Issue
2012-03-01 16:38 Tow Note Added: 0002266
2012-03-01 16:38 Tow Assigned To => Tow
2012-03-01 16:38 Tow Status new => confirmed
2012-03-26 12:23 Tow Relationship added related to 0000912
2014-11-26 03:40 SXX Note Added: 0005172
2018-11-06 15:16 Povelitel Note Added: 0007680
2018-11-06 15:16 Povelitel Status confirmed => resolved
2018-11-06 15:16 Povelitel Fixed in Version => 0.next
2018-11-06 15:16 Povelitel Resolution open => fixed
2018-11-06 15:16 Povelitel Assigned To Tow => AVS

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean